package io.zipcoder.interfaces;

import org.junit.*;

import java.util.ArrayList;
import java.util.Arrays;

public class PeopleTest {
    Instructor instructor;
    Student[] students;
    Student john;
    Student sarah;
    Student bob;

    @Before
    public void setup(){
        instructor = new Instructor(1);
        bob = new Student(0);
        john = new Student(1);
        sarah = new Student(2);
        students = new Student[]{bob,john,sarah};
    }

    @Test
    public void testFindById(){
        //Given
        People people = new Students(new ArrayList<>(Arrays.asList(students)));
        Person expected = sarah;

        //When
        Person actual = people.findById(2);

        //Then
        Assert.assertEquals(expected,actual);
    }
}
