package io.zipcoder.interfaces;

import java.util.Arrays;

public final class Instructors extends People<Instructor> {

    private final static Instructors INSTANCE = new Instructors();
    Educator[] educatorValues = Educator.values();

    private Instructors() {
        for (Educator e : educatorValues) {
            personList.add(new Instructor(e.getId(), e.getName()));
        }
    }

    public static Instructors getInstance() {
        return INSTANCE;
    }

    @Override
    public Instructor[] getArray() {
        Instructor[] instructors = new Instructor[personList.size()];
        int count = 0;

        for (Instructor instructor : personList) {
            instructors[count] = instructor;
            count++;
        }
        return instructors;
    }
}
