package io.zipcoder.interfaces;

import java.util.ArrayList;

public abstract class People <E extends Person>{
    ArrayList<E> personList = new ArrayList<E>();

    public People() {

    }

    public void add(E p){
        personList.add(p);
    }

    public Person findById(long i){

        Person p = personList.stream()
                .filter(person -> person.getId() == i)
                .findFirst()
                .get()
                ;

        return p;
    }

    public abstract E[] getArray();
}
