package io.zipcoder.interfaces;
import org.junit.*;

public class StudentsTest {

    @Test
    public void testInitializationSetupStudents() {
        Students students = Students.getInstance();
        Person[] studentArray = students.getArray();

        int actual = studentArray.length;
        int expected = 39;

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testSingletonInstance() {
        Students expected = Students.getInstance();
        Students actual = Students.getInstance();

        Assert.assertSame(expected, actual);
    }

}
